Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Feb 2025 17:53:13 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Tue, 11 Feb 2025 21:16:45 +0530
> 
> [செவ்வாய் பிப்ரவரி 11, 2025] Eli Zaretskii wrote:
> 
> >> xdg-open simply opens the given file in the most suitable application
> >> (if you ask me how it is determined, I can only tell it is dark arts).
> >> So, `xdg-open ~/somepdf.pdf' will open the file in a PDF reader,
> >
> > That's "sharing" the file with that program.
> >
> >> `xdg-open ~/img.png' will open it in an image viewer, etc.
> >
> > That'd be "sharing" the image with the viewer.
> >
> >> However, I
> >> see an "Airdrop" option in the MacOS's share menu which AFAIK/U is akin
> >> to "Share to device" which xdg-open cannot do.  For this, we need to
> >> rely on KDE Connect or something similar for which Emacs does not have
> >> support for OOTB.
> >
> > Every platform has specialized "sharing target" that other platforms
> > don't.  That doesn't mean there's some functionality here that is
> > specific to macOS.
> 
> So what you're getting at is "share" is an overloaded term that has no
> specific meaning, right?

Yes.  It basically means submitting a file or a text selection
or... to the relevant applications and services, and asking them "to
do their thing".  Which is what our features already do, using the
capabilities provided by the target platforms.  This is just an
addition to the menu, which happens to be specific to macOS, but
nothing more special as these features go.